
Ruby - Bug #21312

ruby 3.5-dev installs a gemspec for rdoc that misses dependencies

05/06/2025 05:46 PM - deivid (David Rodríguez)

Status: Assigned   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v:  Backport: 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4:

UNKNOWN

Description

Similarly to https://bugs.ruby-lang.org/issues/20581, installing ruby 3.5-dev installs a gemspec for rdoc that it's missing its own

dependency on psych.

This causes issues when using Bundler, as reported at https://github.com/rubygems/rubygems/issues/8637.

I created a workaround in Bundler to behave better under this situation and print a warning rather than creating an incorrect lockfile,

but ruby installer should fix this too.

Thank you!

History

#1 - 05/06/2025 11:50 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

#2 - 06/06/2025 08:47 AM - hsbt (Hiroshi SHIBATA)

Thanks! I confirmed psych was removed from rdoc dependency. I'll look that.
